from sqlalchemy import *
from migrate import *
from documents.versions import dump

def getCrightsTable(meta):
    crights = Table('crights', meta, autoload=True)
    return crights


def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    dump.store(migrate_engine)
    # Upgrade operations go here. Don't create your own engine; bind
    # migrate_engine to your metadata
    getCrightsTable(meta).c.commandname.alter(type=TEXT)


def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    getCrightsTable(meta).c.commandname.alter(type=String(200))
