#!/bin/bash
# @File: backup.sh
# @Created: 2012-06-14
# @Author: Dmitry V. Zolotarev (zolotarevd), zolotarevd@ssa.ru
# @Description:
# @Last Change: 2012-06-14
# @Revision:    0.0

[[ -z "$1" ]] && exit 1
[[ -z "$2" ]] && exit 1

URL="$1"
REPO="$2"
DUMP=/linuxcash/cash/data/tmp/documents-dump-`date +%s`.sql

mysqldump -u root -h localhost --single-transaction -n -t -q -C -c --ignore-table documents.migrate_version documents > "$DUMP"
mysql -u root -h localhost -e 'drop database documents;'
mysql -u root -h localhost -e 'create database documents default character set utf8;'
migrate version_control "$URL" "$REPO"
echo $DUMP